@import url('https://fonts.googleapis.com/css?family=Assistant:400,700&display=swap&subset=hebrew');

html {
  direction: rtl;
  background-color: #f7f7f7;
}

.wrap {
  background-color: #f7f7f7;
  width: 100vw;
  margin: 0;
  padding: 0;
  position: relative;
  font-family: 'Assistant', sans-serif;
  text-align: center
}

.main-header {
  padding-top: 2vw;
  width: 13vw;
  text-align: center;
  margin: auto;
}

.main-header img {
  width: 100%;
}

.part {
  margin: 0 2vw;
  position: relative;
  display: inline-block;
  vertical-align: middle;
}

.interface {
  text-align: right;
  width: 400px;
}

.input-wrap {
  position: relative;
  padding: 1vw;
}

.input-label {
  display: block;
  padding-bottom: 0.25em
}

.input {
  font-size: 16px;
  width: 300px;
  height: 20px;
  padding: 10px 5px;
  border: solid 1px #8d8d8d;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  -moz-box-sizing: content-box;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
}

.date-inputs {
  direction: ltr;
  text-align: right;
}

.date-input {
  width: 30px;
  text-align: center;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

.input-error {
  position: absolute;
  top: 85px;
  right: 20px;
  color: #ff0000;
  font-size: 14px;
  opacity: 0;
  font-weight: bold;
  transition: opacity 0.3s ease-in-out;
  will-change: opacity;
}

.input-wrap.invalid .input-error {
  opacity: 1;
}

.submit {
  cursor: pointer;
  position: relative;
  top: 0;
  border: none;
  color: white;
  background: #8355aa;
  font-weight: bold;
  font-size: 18px;
  width: 120px;
  height: 45px;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  outline: none;
  transition: top 0.1s ease-in-out;
  box-shadow:  0 2.8px 2.2px rgba(0, 0, 0, 0.02),
  0 6.7px 5.3px rgba(0, 0, 0, 0.028),
  0 12.5px 10px rgba(0, 0, 0, 0.035),
  0 22.3px 17.9px rgba(0, 0, 0, 0.042),
  0 41.8px 33.4px rgba(0, 0, 0, 0.05),
  0 100px 80px rgba(0, 0, 0, 0.07);
}

.submit:hover {
  top: -3px;
}

.card-container {
  width: 506px;
  height: 327px;
  background-color: #fefefe;
  background-repeat: no-repeat;
  -o-background-size: cover;
  -moz-background-size: cover;
  -webkit-background-size: cover;
  background-size: cover;
  -moz-border-radius: 30px;
  -webkit-border-radius: 30px;
  border-radius: 30px;
  box-shadow:  0 2.8px 2.2px rgba(0, 0, 0, 0.02),
  0 6.7px 5.3px rgba(0, 0, 0, 0.028),
  0 12.5px 10px rgba(0, 0, 0, 0.035),
  0 22.3px 17.9px rgba(0, 0, 0, 0.042),
  0 41.8px 33.4px rgba(0, 0, 0, 0.05),
  0 100px 80px rgba(0, 0, 0, 0.07);
}

.preview-line {
  position: absolute;
  color: white;
  font-size: 17px;
}

.id-wrap {
  top: 144px;
  right: 37px;
}

.name-wrap {
  top: 167px;
  right: 37px;
}

.expiry-wrap {
  top: 261px;
  right: 37px;
}

.rank-wrap {
  top: 261px;
  right: 136px;
}

.title-preview {
  color: #ffffff;
  top: 85px;
  right: 37px;
}

.label-preview {
  color: #448279;
  font-weight: bold;
}

.expiry-label {
  top: 242px;
  right: 37px;
}

.rank-label {
  top: 242px;
  right: 135px;
}
